## texlive-bin 2005.dfsg.2

=== build/TeX/texk/ttf2pt1/Makefile ===

# This file should be configured before running `make'.
# Uncomment or change the values that are relevant for your OS.

# The preferred C compiler (by default use the OS-specific default value).
# For BSD/OS, FreeBSD, Linux (all flavors), NetBSD, OpenBSD the default
# compiler is GNU C. 
# (Note please the politically correct ordering by alphabet ! :-)
#
# Use GNU C even if it's not the default compiler
#
#CC=gcc
#
# Use the standard ANSI C compiler on HP-UX even if it's not default
#
#CC=c89

#
# The system-dependent flags for the C compiler
#
# Default

CFLAGS_SYS= -O

# For GNU C
#
#CFLAGS_SYS= -O2
#
# For GNU C with long options support library (Linux etc.)
#
#CFLAGS_SYS= -O2 -D_GNU_SOURCE
#
# For GNU C on HP-UX/PA-RISC 1.1
#
#CFLAGS_SYS= -O2 -Wa,-w
#
# For the standard ANSI C on HP-UX
#
#CFLAGS_SYS= +O2 -D_HPUX_SOURCE

#
# The system-dependent libraries
#
# Defalut (for the BSD-style OSes)

LIBS_SYS= -lm

# For SystemV (such as SCO, UnixWare, Solaris, but _NOT_ Linux or HP-UX)
#
#LIBS_SYS= -lm -lsocket

#
# The flags for C compiler for the FreeType-2 library (disabled by default). 
# This WON'T BUILD with FT2-beta8, use the FreeType release 2.0.
# http://download.sourceforge.net/freetype/freetype-2.0.tar.gz

CFLAGS_FT= 

# To enable use of the FreeType-2 library
# (if the include and lib directory do not match your installation,
# modify them), also uncomment LIBS_FT
#
#CFLAGS_FT = -DUSE_FREETYPE -I/usr/local/include/freetype2 -I/usr/local/include

# 
# The FreeType-2 library flags (disabled by default)

LIBS_FT=

# To enable use of the FreeType-2 library
# (if the include and lib directory do not match your installation,
# modify them), also uncomment LIBS_FT
#
#LIBS_FT= -L/usr/local/lib -lfreetype

#
# Preference of front-ends if multiple parsers match a file
# (by default the build-in front-end takes preference over FreeType)

CFLAGS_PREF=

# To prefer FreeType (if enabled):
#
#CFLAGS_PREF= -DPREFER_FREETYPE

# Uncomment the second line to not compile t1asm into ttf2pt1
CFLAGS_EXTT1ASM=
#CFLAGS_EXTT1ASM= -DEXTERNAL_T1ASM

CFLAGS= $(CFLAGS_SYS) $(CFLAGS_FT) $(CFLAGS_PREF)
LIBS= $(LIBS_SYS) $(LIBS_FT)

# Installation-related stuff
# 
# The base dir for installation and subdirs in it
INSTDIR = /usr/local
# for binaries
BINDIR = $(INSTDIR)/bin
# for binaries of little general interest
LIBXDIR = $(INSTDIR)/libexec/ttf2pt1
# for scripts, maps/encodings etc.
SHAREDIR = $(INSTDIR)/share/ttf2pt1
MANDIR = $(INSTDIR)/man

# owner and group of installed files
OWNER = root
GROUP = bin

# After you have configured the Makefile, comment out the following
# definition:
warning: docs
	@echo >&2
	@echo "  You have to configure the Makefile before running make!" >&2
	@echo "(or if you are lazy and hope that it will work as is run \`make all')">&2
	@echo >&2

DOCS=CHANGES README FONTS FONTS.hpux encodings/README other/README \
	app/X11/README app/netscape/README

SUBDIRS = app encodings maps scripts other
TXTFILES = README* FONTS* CHANGES* COPYRIGHT

MANS1=ttf2pt1.1 ttf2pt1_convert.1 ttf2pt1_x2gs.1
MANS=$(MANS1) $(MANS5)

all:	t1asm ttf2pt1 docs mans rpm

docs: $(DOCS)

mans: $(MANS) 

clean:
	rm -f t1asm ttf2pt1 *.o app/RPM/Makefile app/RPM/*.spec *.core core.* core
	( cd other && make clean; )

veryclean: clean
	rm -f $(DOCS) $(MANS)

rpm: app/RPM/Makefile app/RPM/ttf2pt1.spec

ttf2pt1.1: README.html
	scripts/html2man . . <README.html

ttf2pt1_convert.1 ttf2pt1_x2gs.1: FONTS.html
	scripts/html2man . . <FONTS.html

app/RPM/Makefile: Makefile
	sed 's/^CFLAGS_SYS.*=.*$$/CFLAGS_SYS= -O2 -D_GNU_SOURCE/;/warning:/,/^$$/s/^/#/' <Makefile >app/RPM/Makefile

app/RPM/ttf2pt1.spec: app/RPM/ttf2pt1.spec.src version.h
	sed 's/^Version:.*/Version: '`grep TTF2PT1_VERSION version.h| cut -d\" -f2`'/' <app/RPM/ttf2pt1.spec.src  >$@

t1asm: t1asm.c
	$(CC) $(CFLAGS) -o t1asm -DSTANDALONE t1asm.c $(LIBS)

ttf2pt1.o: ttf2pt1.c ttf.h pt1.h global.h version.h
	$(CC) $(CFLAGS) -c ttf2pt1.c

pt1.o: pt1.c ttf.h pt1.h global.h
	$(CC) $(CFLAGS) -c pt1.c

ttf.o: ttf.c ttf.h pt1.h global.h
	$(CC) $(CFLAGS) -c ttf.c

ft.o: ft.c pt1.h global.h
	$(CC) $(CFLAGS) -c ft.c

bdf.o: bdf.c pt1.h global.h
	$(CC) $(CFLAGS) -c bdf.c

bitmap.o: bitmap.c pt1.h global.h
	$(CC) $(CFLAGS) -c bitmap.c

runt1asm.o: runt1asm.c global.h
	$(CC) $(CFLAGS) $(CFLAGS_EXTT1ASM) -c runt1asm.c

ttf2pt1:	ttf2pt1.o pt1.o runt1asm.o ttf.o ft.o bdf.o bitmap.o
	$(CC) $(CFLAGS) -o ttf2pt1 ttf2pt1.o pt1.o runt1asm.o ttf.o ft.o bdf.o bitmap.o $(LIBS)

CHANGES: CHANGES.html
	scripts/unhtml <CHANGES.html >CHANGES

README: README.html
	scripts/unhtml <README.html >README

encodings/README: encodings/README.html
	scripts/unhtml <encodings/README.html >encodings/README

other/README: other/README.html
	scripts/unhtml <other/README.html >other/README

app/X11/README: app/X11/README.html
	scripts/unhtml <app/X11/README.html >app/X11/README

app/netscape/README: app/netscape/README.html
	scripts/unhtml <app/netscape/README.html >app/netscape/README

FONTS: FONTS.html
	scripts/unhtml <FONTS.html >FONTS

FONTS.hpux: FONTS.hpux.html
	scripts/unhtml <FONTS.hpux.html >FONTS.hpux

install: all
	scripts/inst_dir $(BINDIR)
	scripts/inst_dir $(LIBXDIR)
	scripts/inst_dir $(SHAREDIR)
	scripts/inst_dir $(MANDIR)/man1
	scripts/inst_dir $(MANDIR)/man5
	cp -R $(TXTFILES) $(SUBDIRS) $(SHAREDIR)
	chown -R $(OWNER) $(SHAREDIR)
	chgrp -R $(GROUP) $(SHAREDIR)
	chmod -R go-w $(SHAREDIR)
	scripts/inst_file ttf2pt1 $(BINDIR)/ttf2pt1 $(OWNER) $(GROUP) 0755
	[ -f $(BINDIR)/t1asm ] || scripts/inst_file t1asm $(LIBXDIR)/t1asm $(OWNER) $(GROUP) 0755
	sed 's|^TTF2PT1_BINDIR=$$|TTF2PT1_BINDIR=$(BINDIR)|;\
		s|^TTF2PT1_LIBXDIR=$$|TTF2PT1_LIBXDIR=$(LIBXDIR)|;\
		s|^TTF2PT1_SHAREDIR=$$|TTF2PT1_SHAREDIR=$(SHAREDIR)|;' <scripts/convert >cvt.tmp
	scripts/inst_file cvt.tmp $(BINDIR)/ttf2pt1_convert $(OWNER) $(GROUP) 0755
	scripts/inst_file cvt.tmp $(SHAREDIR)/scripts/convert $(OWNER) $(GROUP) 0755
	rm cvt.tmp
	scripts/inst_file scripts/x2gs $(BINDIR)/ttf2pt1_x2gs $(OWNER) $(GROUP) 0755
	for i in $(MANS1); do { \
		sed 's|TTF2PT1_BINDIR|$(BINDIR)|;\
			s|TTF2PT1_LIBXDIR|$(LIBXDIR)|;\
			s|TTF2PT1_SHAREDIR|$(SHAREDIR)|;' <$$i >$(MANDIR)/man1/$$i \
		&& chown $(OWNER) $(MANDIR)/man1/$$i \
		&& chgrp $(GROUP) $(MANDIR)/man1/$$i \
		&& chmod 0644 $(MANDIR)/man1/$$i \
		|| exit 1; \
	} done

uninstall:
	rm -f $(BINDIR)/ttf2pt1 $(BINDIR)/ttf2pt1_convert $(BINDIR)/ttf2pt1_x2gs
	rm -rf $(LIBXDIR)
	rm -rf $(SHAREDIR)
	for i in $(MANS1); do { \
		rm -f $(MANDIR)/man1/$$i $(MANDIR)/man1/$$i.gz; \
	} done
	

# targets for automatic generation of releases and snapshots

snapshot:
	scripts/mkrel snapshot

release:
	scripts/mkrel release

=== texmf/doc/pdftex/manual/Makefile ===
# $Id: Makefile,v 1.82 2005/10/23 22:46:32 hhenkel Exp $
#
# Makefile for pdfTeX documentation

pdftexversion=1.30.4
mandir=manual
distdate=`date +%y%m%d`
distrev=`awk '/Id:/{print $$4; exit}' $(mandir)/pdftex-t.tex`

distall=pdftex-w.tex pdftex-t.txt pdftex-t.tex \
	pdftex-i.tex syntaxform.awk Makefile makefiles.cmd \
	pdftex-a.pdf pdftex-l.pdf pdftex-s.pdf \
	pdftex-syntax.txt README Changelog

distnopdf=pdftex-w.tex pdftex-t.txt pdftex-t.tex \
	pdftex-i.tex syntaxform.awk Makefile makefiles.cmd \
	pdftex-syntax.txt README Changelog

all:	pdftex-a.pdf \
	pdftex-l.pdf \
	pdftex-s.pdf \
	pdftex-syntax.txt

booklet:	pdftex-b.pdf pdftex-b-e.pdf pdftex-b-o.pdf

pdftex-a.pdf:	pdftex-t.tex pdftex-t.txt
	texexec --result $@ $<

pdftex-l.pdf:	pdftex-t.tex pdftex-t.txt
	texexec --mode=letter --result $@ $<

pdftex-s.pdf:	pdftex-t.tex pdftex-i.tex
	texexec --mode=screen --result $@ $<

pdftex-b.pdf:	pdftex-a.pdf
	texexec --pdfarrange --paper=a5a4 --print=up --addempty=1,2 \
	--result $@ $<

pdftex-b-e.pdf:	pdftex-a.pdf
	texexec --pdfarrange --paper=a5a4 --print=up --addempty=1,2 \
	--pages=even --result $@ $<

pdftex-b-o.pdf:	pdftex-a.pdf
	texexec --pdfarrange --paper=a5a4 --print=up --addempty=1,2 \
	--pages=odd --result $@ $<

pdftex-t.txt:	pdftex-w.pdf Makefile
	cat $< \
	| expand \
	| sed -e '/\/Differences/s/\// \//g' \
	| fmt -s -w45 \
	| sed -e '/Differences/,/endobj/s/ //g' \
	| grep . \
	| expand \
	| cat > $@

pdftex-w.pdf:	pdftex-w.tex
	pdfetex $<

pdftex-syntax.txt:	pdftex-t.tex syntaxform.awk
	awk -f syntaxform.awk $< > $@

# tar/zip including pdftex-a.pdf, pdftex-l.pdf, pdftex-s.pdf:

alltar:	$(distall)
	cd .. && tar cvjf $(mandir)/pdftex-$(pdftexversion)-userman-$(distrev).tar.bz2 \
	$(patsubst %, $(mandir)/%, $(distall))

allzip:	$(distall)
	cd .. && zip $(mandir)/pdftex-$(pdftexversion)-userman-$(distrev).zip \
	$(patsubst %, $(mandir)/%, $(distall))

# tar/zip without PDF files:

tar:	$(distnopdf)
	cd .. && tar cvjf $(mandir)/pdftex-$(pdftexversion)-userman-$(distrev)-src.tar.bz2 \
	$(patsubst %, $(mandir)/%, $(distnopdf))

zip:	$(distnopdf)
	cd .. && zip $(mandir)/pdftex-$(pdftexversion)-userman-$(distrev)-src.zip \
	$(patsubst %, $(mandir)/%, $(distnopdf))

clean:
	texutil --purge

allclean:
	- rm -f pdftex-a.pdf pdftex-l.pdf pdftex-s.pdf
	- rm -f pdftex-b.pdf pdftex-b-e.pdf pdftex-b-o.pdf
	- rm -f pdftex-syntax.txt
	- rm -f pdftex-w.pdf pdftex-t.txt
	make clean

=== texmf-dist/doc/metapost/base/source/Makefile ===
# Makefile for mpman and mpgraph.
# (../Makefile has rules for building grdemo and mpintro.)
# 
%.pdf: %.ps
	ps2pdf $< || rm -f $@

%.ps: %.dvi
	dvips -t letter $< -o $@ || rm -f $@

all: mpman.pdf mpgraph.pdf

mpgraph.dvi: mpgraph.tex mpgraph.bib mpgraph.mp
	mpost mpgraph
	latex mpgraph
	bibtex mpgraph
	latex mpgraph
	latex mpgraph

mpman.dvi: mpman.tex mpman.bib mpman.ist manfig.mp 
	mpost manfig
	latex mpman
	bibtex mpman
	latex mpman
	latex mpman
	makeindex -s mpman.ist mpman
	latex mpman

clean distclean:
	rm -f manfig.[0-9]* mpgraph.[0-9]*
	rm -f *.aux *.bbl *.blg *.dvi *.log *.mpx *.pdf *.ps
	rm -f *.idx *.ilg *.ind *.toc

## texlive-bin 2007.dfsg.1

=== build/source/utils/sam2p/Makefile ===
#
# Makefile
# by pts@fazekas.hu at Sun Feb 24 16:20:15 CET 2002
# Sat Apr 20 19:14:11 CEST 2002
# ccdep.pl at Sat Jun  1 15:51:36 CEST 2002
#
# To create a .tar.gz, run: make MAKE_DIST=0 dist-noautoconf
# To install dist: make MAKE_DIST=0 dist-install
#

ifndef MAKE_DIST
include Makehelp
endif

BASH=bash
PERL_BADLANG=x
export PERL_BADLANG

CXXX=$(CXD_assert)
LDALL=$(LDXX) -s $(LDFLAGS) $(LIBS)
ifeq ($(ENABLE_DEBUG), no)
CXXX=$(CXD_no)
endif
ifeq ($(ENABLE_DEBUG), yes)
CXXX=$(CXD_yes)
LDALL=$(LDXX) $(LDFLAGS) $(LIBS)
endif
ifeq ($(ENABLE_DEBUG), checker)
CXXX=$(CXD_checker)
LDALL=checkerg++ $(LDFLAGS) $(LIBS)
endif

CXXALL=$(CXXX) $(CXXFLAGS) $(CXXFLAGSB)
CCALL =$(CXXX) $(CXXFLAGS) $(CXXFLAGSB)
CXDFAL=$(CXXFLAGS) $(CXXFLAGSB) $(LDFLAGS) $(LIBS)

.PHONY: clean dist dist-noautoconf dist-more allclean distclean dist-install
.PHONY: most all all1 install

ifndef MAKE_DIST
  most all: sam2p
  Makedep: ccdep.pl config.h; perl -x -S ./ccdep.pl --FAL=assert,no,yes,checker $(CXX)
  include Makedep
endif

all1: $(ALL)
# vvv for Epsilon at Thu Oct 31 09:58:58 CET 2002
IDE_MODES := release debug
IDE_TARGETS_debug := $(patsubst %,%.yes, $(TARGETS))
IDE_TARGETS_release := $(TARGETS)

CXD_assert =$(CXX) -s -O2
CXD_no     =$(CXX) -s -DNDEBUG -O3
# CXD_yes    =$(CXX) $(GFLAG) -lefence
CXD_yes    =$(CXX) $(GFLAG)
CXD_checker=checkerg++ $(GFLAG)

# .PHONY: clean dist allclean distclean

Makedep: config.h

xpmc.h: cols2.pl
	perl -x cols2.pl >xpmc.h

#HQ=perl -e'$$_=join"",<STDIN>; s@([^\w\.\/\-])@sprintf"\\%03o",ord$$1@ge; print "\"$$_\"\n"'
HQ=perl -x hq.pl
#%.tth: %.tte
#	<$< >$@	$(HQ)
#%.tth: %.ttm
#	<$< >$@	$(HQ)
%.tth: %.ttt
	$(HQ) <$< >$@

# Sun Sep 22 01:16:20 CEST 2002
L1_LIST=l1g8z.pst l1ghz.pst l1gbz.pst \
        l1g8l.pst l1ghl.pst l1gbl.pst
PREPROC_STRIP=perl -ne's@/\s+(?=\w)@/@g;print if!/^\#/&&!/^\s*\Z/'
L1_FLAGS=-DCFG_FMT_ZLIB_ONLY=1 -DNDEBUG=1 \
  -DCFG_NO_VAR_S=1 -DUSE_NO_BIND=1 -DUSE_SHORT_NAMES=1 \
  -DUSE_CURRENTFILE=1 -DUSE_NO_EOF=1 \
  -DUSE_UNITLENGTH_8 -DUSE_EARLYCHANGE_1 -DUSE_LOWBITFIRST_FALSE \
  -DUSE_NO_NULLDEF=1 -DUSE_PIN=1
# TTT_QUOTE=perl -e '$$s=$$_=join"",<STDIN>; s@%.*@@g; s@[(][^()]*[)]@@g; die if /[()\\]/ or $$ARGV[0]!~/^(\w+)/; print "\n% TTT_QUOTE\n/$$1 ($$s)\n\n"' --
TTT_QUOTE=perl -e '$$s=$$_=join"",<STDIN>; $$s=~s@([()\\])@\\$$1@g; die if $$ARGV[0]!~/^(\w+)/; print "\n% TTT_QUOTE\n/$$1 ($$s)\n\n"' --
# vvv Dat: input file for `g++ -E' must have .h extension
l1g8z.pst: l1zip.psm psmlib.psm ps_tiny
	<$< >tmp.h perl -pe0
	$(CXX) -E $(L1_FLAGS) -DUSE_A85D=1 tmp.h >tmp.i
	<tmp.i >tmp.pin $(PREPROC_STRIP)
	<tmp.pin >tmp.ps0 ./ps_tiny
	<tmp.ps0 >tmp.pst $(TTT_QUOTE) $@
	mv -f tmp.pst $@
l1ghz.pst: l1zip.psm psmlib.psm ps_tiny
	<$< >tmp.h perl -pe0
	$(CXX) -E $(L1_FLAGS) -DUSE_HEXD=1 tmp.h >tmp.i
	<tmp.i >tmp.pin $(PREPROC_STRIP)
	<tmp.pin >tmp.ps0 ./ps_tiny
	<tmp.ps0 >tmp.pst $(TTT_QUOTE) $@
	mv -f tmp.pst $@
l1gbz.pst: l1zip.psm psmlib.psm ps_tiny
	<$< >tmp.h perl -pe0
	$(CXX) -E $(L1_FLAGS) -DUSE_BINARY=1 tmp.h >tmp.i
	<tmp.i >tmp.pin $(PREPROC_STRIP)
	<tmp.pin >tmp.ps0 ./ps_tiny
	<tmp.ps0 >tmp.pst $(TTT_QUOTE) $@
	mv -f tmp.pst $@
l1g8l.pst: l1lzw.psm psmlib.psm ps_tiny
	<$< >tmp.h perl -pe0
	$(CXX) -E $(L1_FLAGS) -DUSE_A85D=1 tmp.h >tmp.i
	<tmp.i >tmp.pin $(PREPROC_STRIP)
	<tmp.pin >tmp.ps0 ./ps_tiny
	<tmp.ps0 >tmp.pst $(TTT_QUOTE) $@
	mv -f tmp.pst $@
l1ghl.pst: l1lzw.psm psmlib.psm ps_tiny
	<$< >tmp.h perl -pe0
	$(CXX) -E $(L1_FLAGS) -DUSE_HEXD=1 tmp.h >tmp.i
	<tmp.i >tmp.pin $(PREPROC_STRIP)
	<tmp.pin >tmp.ps0 ./ps_tiny
	<tmp.ps0 >tmp.pst $(TTT_QUOTE) $@
	mv -f tmp.pst $@
l1gbl.pst: l1lzw.psm psmlib.psm ps_tiny
	<$< >tmp.h perl -pe0
	$(CXX) -E $(L1_FLAGS) -DUSE_BINARY=1 tmp.h >tmp.i
	<tmp.i >tmp.pin $(PREPROC_STRIP)
	<tmp.pin >tmp.ps0 ./ps_tiny
	<tmp.ps0 >tmp.pst $(TTT_QUOTE) $@
	mv -f tmp.pst $@
# vvv copy the .ttt, not the .tth
#     The perl program down there is a portable cat(1) implementation.
bts1.ttt: bts.ttt $(L1_LIST)
	perl -pe0 $^ >$@
bts2.ttt: bts1.ttt ps_tiny
	./ps_tiny --copy <$< >$@

clean:
	rm -f *~ a.out DEADJOE core *.o *.tth .rgd *.rgd tmp.pin tmp.i tmp.ps0 tmp.h tmp.pst autom4te.cache/*
	rm -f debian/changelog.dch debian/*~ 
	rm -f $(ALL) $(ALL:=.yes) $(ALL:=.no) $(ALL:=.assert) $(ALL:=.checker)
	-rmdir -- autom4te.cache
allclean: clean
	rm -f configure config.h Makehelp config.cache config.log \
	  config.status test.eps test.pdf build build-stamp
distclean: allclean
	-autoconf
dist: distclean dist-noautoconf
dist-noautoconf:
	chmod 755 configure
	$(BASH) mkdist.sh
# vvv Create a distribution with more files to aid compilation
dist-more: bts2.tth
	$(BASH) mkdist.sh sam2p-more bts2.tth
dist-install: dist-noautoconf
	chmod 600 ../sam2p-*.tar.gz
	scp ../sam2p-*.tar.gz kozma:public_html

install: sam2p
	-mkdir -p '$(bindir)'
	cp -p sam2p '$(bindir)'

# __END__ of Makefile

=== texmf-dist/doc/metapost/base/source/Makefile ===
# $Id: Makefile,v 1.4 2005/03/21 15:25:51 taco Exp $
# Makefile for mpman and mpgraph.
# Public domain.
# 
# (In TeX Live, another Makefile has rules for building grdemo and mpintro.)
#

pdflatex = pdflatex
mpost = TEX=tex mpost

all: mpman.pdf mpgraph.pdf

mpgraph.pdf: mpgraph.tex mpgraph.bib mpgraph.mp
	$(mpost) mpgraph
	$(pdflatex) mpgraph
	bibtex mpgraph
	$(pdflatex) mpgraph
	$(pdflatex) mpgraph

mpman.pdf: mpman.tex mpman.bib mpman.ist manfig.mp 
	$(mpost) manfig
	$(pdflatex) mpman
	bibtex mpman
	$(pdflatex) mpman
	$(pdflatex) mpman
	makeindex -s mpman.ist mpman
	$(pdflatex) mpman

clean distclean:
	rm -f *.aux *.bbl *.blg *.dvi *.log *.mpx *.mps
	rm -f *.idx *.ilg *.ind *.toc

=== build/source/libs/icu-xetex/tools/genren/Makefile ===
#******************************************************************************
#
#   Copyright (C) 2002-2004, International Business Machines
#   Corporation and others.  All Rights Reserved.
#
#******************************************************************************

ICUDIR=ICUunrenamed
TOP=../..
SO=so

COM=$(ICUDIR)/lib/libicuuc.$(SO)
I18=$(ICUDIR)/lib/libicui18n.$(SO)
LAY=$(ICUDIR)/lib/libicule.$(SO)
LEX=$(ICUDIR)/lib/libiculx.$(SO)
DAT=$(ICUDIR)/stubdata/libicudata.$(SO)
UIO=$(ICUDIR)/lib/libicuio.$(SO)

LIBS=$(COM) $(I18) $(LAY) $(LEX) $(UIO)

all:
	@cat README

clean:
	-rm -rf $(ICUDIR) urename.* *~

# We use config.status to mean we have a valid out of source tree.

$(ICUDIR)/config.status:
	-mv $(ICUDIR) $(ICUDIR)old
	-(rm -rf $(ICUDIR)old &)
	mkdir $(ICUDIR)
	( cd $(ICUDIR) ; CPPFLAGS=-DURENAME_H $(TOP)/../configure --with-data-packaging=archive --enable-layout=yes --enable-tests=no --enable-extras=yes --prefix=`pwd` $(GENREN_CONFIGURE_OPTS) )

# build the libraries
$(DAT): $(ICUDIR)/config.status Makefile
	gmake -C $(ICUDIR)/stubdata libicudata.$(SO)

$(COM): $(DAT) $(ICUDIR)/config.status Makefile
	gmake -C $(ICUDIR)/common libicuuc.$(SO)

$(I18): $(DAT) $(COM) $(ICUDIR)/config.status Makefile
	gmake -C $(ICUDIR)/i18n libicui18n.$(SO)

$(LAY): $(DAT) $(I18) $(COM) $(ICUDIR)/config.status Makefile
	gmake -C $(ICUDIR)/layout libicule.$(SO)

$(LEX): $(DAT) $(I18) $(COM) $(ICUDIR)/config.status Makefile
	gmake -C $(ICUDIR)/layoutex libiculx.$(SO)

$(UIO):	$(DAT) $(I18) $(COM) $(ICUDIR)/config.status Makefile
	gmake -C $(ICUDIR)/extra/ustdio libicuio.$(SO)

# the header itself
urename.h: $(LIBS) genren.pl
	-cp urename.h urename.h.old
	perl ./genren.pl $(LIBS)

sorts:	urename.sort urename.old.sort
	@echo "*** Please check urename.h manually before committing it."
	@echo "Try 'diff --side-by-side urename.old.sort urename.sort'"

urename.sort: urename.h
	sort urename.h > $@

urename.old.sort: $(TOP)/common/unicode/urename.h
	sort  $(TOP)/common/unicode/urename.h > $@

install-header: urename.h sorts
	cp $(TOP)/common/unicode/urename.h $(TOP)/common/unicode/urename.h.old
	cp urename.h $(TOP)/common/unicode/

## texlive-bin 2007.dfsg.2

=== texmf/doc/pdftex/manual/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
-# $Id: Makefile,v 1.82 2005/10/23 22:46:32 hhenkel Exp $
+# $Id: Makefile,v 1.89 2007/01/25 07:18:57 hhenkel Exp $
 #
 # Makefile for pdfTeX documentation
 
-pdftexversion=1.30.4
+pdftexversion=1.40.0
 mandir=manual
 distdate=`date +%y%m%d`
 distrev=`awk '/Id:/{print $$4; exit}' $(mandir)/pdftex-t.tex`
@@ -24,41 +24,39 @@
 booklet:	pdftex-b.pdf pdftex-b-e.pdf pdftex-b-o.pdf
 
 pdftex-a.pdf:	pdftex-t.tex pdftex-t.txt
-	texexec --result $@ $<
+	texexec --result=$@ $<
 
 pdftex-l.pdf:	pdftex-t.tex pdftex-t.txt
-	texexec --mode=letter --result $@ $<
+	texexec --mode=letter --result=$@ $<
 
 pdftex-s.pdf:	pdftex-t.tex pdftex-i.tex
-	texexec --mode=screen --result $@ $<
+	texexec --mode=screen --result=$@ $<
 
 pdftex-b.pdf:	pdftex-a.pdf
 	texexec --pdfarrange --paper=a5a4 --print=up --addempty=1,2 \
-	--result $@ $<
+	--result=$@ $<
 
 pdftex-b-e.pdf:	pdftex-a.pdf
 	texexec --pdfarrange --paper=a5a4 --print=up --addempty=1,2 \
-	--pages=even --result $@ $<
+	--pages=even --result=$@ $<
 
 pdftex-b-o.pdf:	pdftex-a.pdf
 	texexec --pdfarrange --paper=a5a4 --print=up --addempty=1,2 \
-	--pages=odd --result $@ $<
+	--pages=odd --result=$@ $<
 
 pdftex-t.txt:	pdftex-w.pdf Makefile
 	cat $< \
 	| expand \
-	| sed -e '/\/Differences/s/\// \//g' \
-	| fmt -s -w45 \
-	| sed -e '/Differences/,/endobj/s/ //g' \
+	| fmt -s -w36 \
 	| grep . \
 	| expand \
 	| cat > $@
 
 pdftex-w.pdf:	pdftex-w.tex
-	pdfetex $<
+	pdftex $<
 
 pdftex-syntax.txt:	pdftex-t.tex syntaxform.awk
-	awk -f syntaxform.awk $< > $@
+	gawk -f syntaxform.awk $< > $@
 
 # tar/zip including pdftex-a.pdf, pdftex-l.pdf, pdftex-s.pdf:
 
@@ -89,3 +87,5 @@
 	- rm -f pdftex-syntax.txt
 	- rm -f pdftex-w.pdf pdftex-t.txt
 	make clean
+
+clobber: allclean

=== build/source/libs/freetype/test/arch/debugger/Makefile ===
# This file is part of the FreeType project.
#
# It builds the debugger for emx-gcc under OS/2 resp. under Unix.
#
# You will need GNU make.
#
# Use this file while in the `test' directory with the following statements:
#
#   make -f arch/debugger/Makefile depend
#   make -f arch/debugger/Makefile
#
#
# Copyright 1996-2002 by
# David Turner, Robert Wilhelm, and Werner Lemberg.
#
# This file is part of the FreeType project, and may only be used, modified,
# and distributed under the terms of the FreeType project license,
# LICENSE.TXT.  By continuing to use, modify, or distribute this file you
# indicate that you have read the license and understand and accept it
# fully.

ARCH = arch/debugger
FT_MAKEFILE = $(ARCH)/Makefile

CC = gcc

LIBDIR = ../lib
LIBTTF = $(LIBDIR)/$(ARCH)/libttf.a

INCDIRS = -I$(LIBDIR) -I$(LIBDIR)/extend -I$(LIBDIR)/$(ARCH) -I.

# Note: The debugger uses non-ANSI functions to read the keyboard
#       on OS/2 -- do not set the `-ansi flag here.
#
CFLAGS = -Wall -O0 -g $(INCDIRS)


SRC = fdebug.c common.c

ALLSRC = $(SRC)
ALLOBJ = $(ALLSRC:.c=.o)

# on OS/2, do not use the curses library
#
ifdef OS2_SHELL
EXE        := fdebug.exe
OS         := OS2
EFENCE     :=
EXTRAFLAGS :=
RM         := del
else
EXE        := fdebug
OS         := UNIX
EFENCE     := -lefence
RM         := rm -f
#
# POSIX TERMIOS: Do not define if you use OLD U*ix like 4.2BSD.
#
EXTRAFLAGS := HAVE_POSIX_TERMIOS
endif

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $< -D$(OS) -D$(EXTRAFLAGS)

%.exe:
	$(CC) $(CFLAGS) -o $@ $^


	
EXEFILES = $(EXE)

.PHONY: all debug freetype freetype_debug \
        clean distclean do_clean depend


all: freetype $(EXEFILES)

debug: freetype_debug $(EXEFILES)

$(EXE): fdebug.o common.o $(LIBTTF)
$(EXE):
	$(CC) $(CFLAGS) -o $@ $^ $(EFENCE)

freetype:
	$(MAKE) -C $(LIBDIR) -f $(FT_MAKEFILE) all

freetype_debug:
	$(MAKE) -C $(LIBDIR) -f $(FT_MAKEFILE) debug


clean: do_clean
	$(MAKE) -C $(LIBDIR) -f $(FT_MAKEFILE) clean

distclean: do_clean
	$(MAKE) -C $(LIBDIR) -f $(FT_MAKEFILE) distclean
	-$(RM) dep.end $(EXEFILES) core

do_clean:
	-$(RM) $(subst /,\,$(ALLOBJ))


depend: $(ALLSRC)
	$(MAKE) -C $(LIBDIR) -f $(FT_MAKEFILE) depend
	$(CC) -E -MM $(INCDIRS) $^ > dep.end

ifeq (dep.end,$(wildcard dep.end))
  include dep.end
endif

# end of Makefile.emx

=== build/source/libs/icu-xetex/samples/ufortune/resources/Makefile ===
# Copyright (c) 2001-2005 IBM, Inc. and others
#
# File
#    icu/source/samples/ufortune/resources/Makefile
#
# Usage:
#    See the instructions in the parent Makefile,
#          icu/source/samples/ufortune/Makefile.
#          This subproject builds the ICU resource files for ufortune.
#          It is normally invoked from the parent directory,
#            although the resources can be built from here.
#
#    Two ICU tools are run from this makefile:
#      genrb    compiles a resource source file (.txt) into
#               a binary .res file.
#      pkgdata  combines all of the .res files into a single
#               shared library that can then be linked with the
#               main application.
#
#               pkgdata will recursively generate and run yet
#               another makefile, which in turn runs two more
#               icu tools.  gencmn combines the individual .res
#               files, and genccode emits the data as C source
#               code that can then be built into a .so
#

include ../../defs.mk

# No conventional target - this dir is resources only.
TARGET=
CLEANFILES += *.[co] *.lst $(RESNAME)_*.mak $(RESNAME).dat $(RESFILES) *.ao README*resources.txt

include ../fortunedefs.mk

# target file for resource bundle - this must be set, or 'make all' won't
# build any resources.
ifeq ($(RESMODE),dll)
RESTARGET=lib$(RESNAME).$(SO)
endif
ifeq ($(RESMODE),static)
RESTARGET=lib$(RESNAME).a
endif

# Resource files.  Add new ones for additional locales here.
# keep in sync with the file RESLIST
RESFILES=root.res es.res

# list of resource bundles  - keep in sync with RESFILES
RESLIST=res-file-list.txt

## Include standard rules 
include ../../rules.mk

# for installing the library
install: res-install

es.res: es.txt
	@echo "generating $@"
	$(GENRB) $(GENRBOPT) -e latin-1 $^

## texlive-bin 2009

=== utils/epstopdf/Makefile ===
# $Id: Makefile 15641 2009-10-04 16:42:16Z karl $
# This file is public domain.  (Originally written by Karl Berry, 2009.)

e2p = ./epstopdf.pl #--debug

default: check

# These are not comprehensive tests by any means.  Mostly we're just
# making sure we don't crash.
check: check-help check-version \
       check-write-error check-gscmd \
       check-simple check-atend check-binary check-bin2 \
       check-binhdr-lf check-binhdr-cr check-binhdr-crlf \

check-help:
	$(e2p) --help

check-version:
	$(e2p) --version

check-write-error:
	-$(e2p) test-simple.eps --outfile=/dev/full

check-gscmd:
	-$(e2p) --gscmd=true test-simple.eps

check-simple:
	$(MAKE) file=test-simple check1

check-atend:
	$(MAKE) file=test-atend check1

check-binary:
	$(MAKE) file=test-binary check1

check-bin2:
	$(MAKE) file=test-bin2 check1

check-binhdr-lf:
	$(MAKE) file=test-binhdr-lf check1

check-binhdr-cr:
	$(MAKE) file=test-binhdr-cr check1

check-binhdr-crlf:
	$(MAKE) file=test-binhdr-crlf check1

check1:
	$(e2p) $(file).eps 
	pdfinfo $(file).pdf | grep "Page size"

dist: epstopdf.tar.gz epstopdf.html
epstopdf.tar.gz: README epstopdf.pl epstopdf.1 epstopdf.pdf
	tar chzf epstopdf.tar.gz $^

groff = groff
groff_opts = -man -t
pdfopts = $(groff_opts)
htmlopts = $(groff_opts) -Thtml
pspdf = ps2pdf -sPAPERSIZE=a4
epstopdf.pdf: epstopdf.1
	$(groff) $(pdfopts) $< | $(pspdf) - $@
epstopdf.html: epstopdf.1
	$(groff) $(htmlopts) $< >$@

=== utils/asymptote/prc/Makefile ===
# Makefile.

CFLAGS = -O3 -g -Wall
CXX = g++

test: PRCbitStream oPRCFile PRCdouble writePRC test.cc
	$(CXX) $(CFLAGS) -o test PRCbitStream.o oPRCFile.o PRCdouble.o writePRC.o test.cc -lz

PRCbitStream: PRCbitStream.cc
	$(CXX) $(CFLAGS) -c PRCbitStream.cc -o PRCbitStream.o

oPRCFile: oPRCFile.cc
	$(CXX) $(CFLAGS) -c oPRCFile.cc -o oPRCFile.o

PRCdouble: PRCdouble.cc
	$(CXX) $(CFLAGS) -c PRCdouble.cc -o PRCdouble.o

writePRC: writePRC.cc PRCbitStream
	$(CXX) $(CFLAGS) -c writePRC.cc -o writePRC.o

clean:
	rm -f *.o test.prc test

=== utils/asymptote/tests/Makefile ===
TESTDIRS = string arith frames types imp array

test: $(TESTDIRS)

$(TESTDIRS)::
	@echo
	../asy -dir ../base $@/*.asy

clean:  FORCE
	rm -f *.eps

distclean: FORCE clean

FORCE:

=== utils/asymptote/doc/FAQ/Makefile ===
BFNNCONV = bfnnconv.pl m-ascii.pl m-html.pl m-info.pl m-lout.pl m-post.pl

FAQ = asy-faq.html asy-faq.ascii asy-faq.info

all: faq

$(FAQ): $(BFNNCONV) asy-faq.bfnn
	mkdir -p asy-faq.html
	perl bfnnconv.pl asy-faq.bfnn
	perl bfnnconv.pl asy-faq.bfnn

faq:	$(FAQ)

clean: FORCE
	-rm -f *~ core a.out *.lout *.ps *.info *.ascii *.xrefdb *.post
	-rm -rf *.html

install-all: install

install: faq install-prebuilt
	${INSTALL} -d -m 755 $(docdir) $(docdir)/asy-faq.html
	${INSTALL} -p -m 644 asy-faq.ascii $(docdir)
	${INSTALL} -p -m 644 asy-faq.html/* $(docdir)/asy-faq.html

install-prebuilt:
	${INSTALL} -d -m 755 $(infodir)
	${INSTALL} -p -m 644 asy-faq.info $(infodir)
	-if test -z "$(DESTDIR)"; then \
		install-info --infodir=$(infodir) asy-faq.info; \
	fi

install-info: faq install-prebuilt

uninstall: uninstall-all

uninstall-all:
	-cd $(docdir)/asy-faq.html; rm -rf *.html
	-cd $(docdir); rmdir asy-faq.html; rm asy-faq.ascii 
	-install-info --remove --infodir=$(infodir) asy-faq.info
	-rm -f $(infodir)/asy-faq.info

distclean: FORCE clean

FORCE:

=== libs/icu/icu-xetex/tools/genren/Makefile ===
#******************************************************************************
#
#   Copyright (C) 2002-2007, International Business Machines
#   Corporation and others.  All Rights Reserved.
#
#******************************************************************************

ICUDIR=ICUunrenamed
TOP=../..
SO=so

COM=$(ICUDIR)/lib/libicuuc.$(SO)
I18=$(ICUDIR)/lib/libicui18n.$(SO)
LAY=$(ICUDIR)/lib/libicule.$(SO)
LEX=$(ICUDIR)/lib/libiculx.$(SO)
DAT=$(ICUDIR)/stubdata/libicudata.$(SO)
UIO=$(ICUDIR)/lib/libicuio.$(SO)

LIBS=$(COM) $(I18) $(LAY) $(LEX) $(UIO)

# Extra flags to prevent internal API from being hidden.
# This is important because ELF (Linux) based platforms that don't hide internal
# API will allow a duplicate internal name to resolve to an external library.
# See the gcc manual on the "visibility" attribute for details.
FLAG_OVERRIDE="LIBCFLAGS= LIBCXXFLAGS="

all:
	@cat README

clean:
	-rm -rf $(ICUDIR) urename.* *~

# We use config.status to mean we have a valid out of source tree.

$(ICUDIR)/config.status:
	-mv $(ICUDIR) $(ICUDIR)old
	-(rm -rf $(ICUDIR)old &)
	mkdir $(ICUDIR)
	( cd $(ICUDIR) ; CPPFLAGS=-DURENAME_H $(TOP)/../configure --with-data-packaging=archive --enable-tests=no --prefix=`pwd` $(GENREN_CONFIGURE_OPTS) )

# build the libraries
$(DAT): $(ICUDIR)/config.status Makefile
	gmake $(FLAG_OVERRIDE) -C $(ICUDIR)/stubdata libicudata.$(SO)

$(COM): $(DAT) $(ICUDIR)/config.status Makefile
	gmake $(FLAG_OVERRIDE) -C $(ICUDIR)/common libicuuc.$(SO)

$(I18): $(DAT) $(COM) $(ICUDIR)/config.status Makefile
	gmake $(FLAG_OVERRIDE) -C $(ICUDIR)/i18n libicui18n.$(SO)

$(LAY): $(DAT) $(I18) $(COM) $(ICUDIR)/config.status Makefile
	gmake $(FLAG_OVERRIDE) -C $(ICUDIR)/layout libicule.$(SO)

$(LEX): $(DAT) $(I18) $(COM) $(ICUDIR)/config.status Makefile
	gmake $(FLAG_OVERRIDE) -C $(ICUDIR)/layoutex libiculx.$(SO)

$(UIO):	$(DAT) $(I18) $(COM) $(ICUDIR)/config.status Makefile
	gmake $(FLAG_OVERRIDE) -C $(ICUDIR)/io libicuio.$(SO)

# the header itself
urename.h: $(LIBS) genren.pl
	-cp urename.h urename.h.old
	perl ./genren.pl $(LIBS)

sorts:	urename.sort urename.old.sort
	@echo "*** Please check urename.h manually before committing it."
	@echo "Try 'diff --side-by-side urename.old.sort urename.sort'"

urename.sort: urename.h
	sort urename.h > $@

urename.old.sort: $(TOP)/common/unicode/urename.h
	sort  $(TOP)/common/unicode/urename.h > $@

install-header: urename.h sorts
	cp $(TOP)/common/unicode/urename.h $(TOP)/common/unicode/urename.h.old
	cp urename.h $(TOP)/common/unicode/

=== libs/icu/icu-xetex/samples/ufortune/resources/Makefile ===
# Copyright (c) 2001-2006 IBM, Inc. and others
#
# File
#    icu/source/samples/ufortune/resources/Makefile
#
# Usage:
#    See the instructions in the parent Makefile,
#          icu/source/samples/ufortune/Makefile.
#          This subproject builds the ICU resource files for ufortune.
#          It is normally invoked from the parent directory,
#            although the resources can be built from here.
#
#    Two ICU tools are run from this makefile:
#      genrb    compiles a resource source file (.txt) into
#               a binary .res file.
#      pkgdata  combines all of the .res files into a single
#               shared library that can then be linked with the
#               main application.
#
#               pkgdata will recursively generate and run yet
#               another makefile, which in turn runs two more
#               icu tools.  gencmn combines the individual .res
#               files, and genccode emits the data as C source
#               code that can then be built into a .so
#

include ../../defs.mk

# No conventional target - this dir is resources only.
TARGET=
CLEANFILES += *.[co] *.lst $(RESNAME)_*.mak $(RESNAME).dat $(RESFILES) *.ao README*resources.txt

include ../fortunedefs.mk

# target file for resource bundle - this must be set, or 'make all' won't
# build any resources.
ifeq ($(RESMODE),dll)
RESTARGET=lib$(RESNAME).$(SO)
endif
ifeq ($(RESMODE),static)
RESTARGET=lib$(RESNAME).a
endif

# Resource files.  Add new ones for additional locales here.
# keep in sync with the file RESLIST
RESFILES=root.res es.res

# list of resource bundles  - keep in sync with RESFILES
RESLIST=res-file-list.txt

## Include standard rules 
include ../../rules.mk

# for installing the library
install: res-install

es.res: es.txt
	@echo "generating $@"
	$(GENRB) $(GENRBOPT) $^

## texlive-bin 2012.20120628

=== debian/changelog ===
texlive-bin (2012.20120628-4) unstable; urgency=low

  * add necessary break for update from wheezy (Closes: #689005)
  * build dvisvgm with libgs support (build dep added, config option added)
  * include a fixed and updated man page for updmap.cfg (Closes: #688893)

 -- Norbert Preining <preining@debian.org>  Tue, 20 Nov 2012 09:31:10 +0900

texlive-bin (2012.20120628-3) unstable; urgency=low

  * fix too short name space for cweave (original file has this fix
    since 2008) (new patch cweave-fix-too-short-names)

 -- Norbert Preining <preining@debian.org>  Tue, 04 Sep 2012 10:32:59 +0900

texlive-bin (2012.20120628-2) unstable; urgency=low

  * cherrypick a bugfix from upstream for ptex kanji code scanning
    (debian/quilt/upstream-fix-ptex-scanning)
  * format and lintian fixes

 -- Norbert Preining <preining@debian.org>  Thu, 26 Jul 2012 11:59:23 +0900

texlive-bin (2012.20120628-1) unstable; urgency=low

  * new upstream (some emergency fixes), the following patches have
    been removed since they are included upstream: patch-icu, patch-pdftex,
    fix-pipe-in-out-regression, upstream-fix-ini-synctex-segfault
  * Build with -marm on armhf to fix lilypond FTBFS (Closes: #678604)
    (Thanks Peter Michael Green)

 -- Norbert Preining <preining@debian.org>  Thu, 28 Jun 2012 23:47:26 +0900

texlive-bin (2012.20120623-2) unstable; urgency=low

  * fix reading from and writing to pipes from within tex: new 
    patch fix-pipe-in-out-regression (Closes: #679065)

 -- Norbert Preining <preining@debian.org>  Tue, 26 Jun 2012 16:02:17 +0900

texlive-bin (2012.20120623-1) unstable; urgency=low

  * post release fixed from Peter Breitenlohner (will be included upstream):
    - (patch-dvi2tty, patch-lacheck) Ken Brown <kbrow1i@gmail.com> has noteda
    that already moderately long pathnames may yield buffer overruns in 
    lacheck and dvi2tty.
    - (patch-icu) three ICU library files have been modified (undoing ICU 
    SVN commit 36090 from 2009-06-11), in order to solve all/most XeTeX 
    problems with Indic scripts.
    - (patch-pdftex) a small change in pdftexdir/pdftosrc.cc required to
    build pdfTeX with poppler >=0.18.4 (system-xpdf).  Note, however, that 
    building pdfTeX that way slightly reduces its capability to handle large 
    files (see README.config 1.6 and 3.4.2).
  * update updmap man page (Closes: #677300)
  * (pulled from upupstream cvs, patch xdvi-upupstream-fixes)
    - Fixed bugs in property handling on 64-bit systems (related to source 
      specials).
    - Added support for XkbBell, to make the console bell work again.

 -- Norbert Preining <preining@debian.org>  Sat, 23 Jun 2012 12:57:25 +0900

texlive-bin (2012.20120530-2) unstable; urgency=low

  * call update-language in the postinstall (Closes: #675179)

 -- Norbert Preining <preining@debian.org>  Wed, 30 May 2012 21:34:07 +0900

texlive-bin (2012.20120530-1) unstable; urgency=high

  * new upstream snapshot (svn 26726)
    exporting kpse_cnf_get (Closes: #675109)
  * cnf.h is again installed, don't install it via libkpathsea-dev.install
  * patch handling:
    . removed: 41_maketexmf, 12_fix_epstopdf_invocation
      both included upstream or not needed anymore
    . new: set-e-fmtutil part of set-e-in-various-scripts that still 
      applies
    . disabled: 57_texconfig_papersizes_for_upstream,
      58_texconfig_papersizes_use_ucf, superseeded by 55_texconfig_stuff
    . disabled: set-e-in-various-scripts: split into set-e-fmtutil
      and a disabled part for texconfig

 -- Norbert Preining <preining@debian.org>  Wed, 30 May 2012 11:02:05 +0900

texlive-bin (2012.20120516-1) unstable; urgency=low

  * new upstream snapshot based on TL2012 tlpretest
  * remove outdated and not needed patches
  * remove traces of debian internal mupdmap, we use the one that is now
    shipped by default in TeX Live
  * patch shipped updmap for correct perl module search path
  * move patches from debian/patches to debian/quilt, add quilt as 
    build dep, and include quilt patching in debian/rules
    this gets us rid of the "strange" parts of the 3.0 format
    (see quilt vs dpkg-source fuzzyness acceptance). 
    Thanks to an unnamed dev who gave me the hint!
  * disable build-wovp2ovf patch, included upstream
  * (re)install cnf.h into libkpathsea-dev (Closes: #673016)

 -- Norbert Preining <preining@debian.org>  Wed, 16 May 2012 14:05:23 +0900

texlive-bin (2011.20120510-1) unstable; urgency=low

  * new upstream checkout: fix for dvipdfmx
  * include debian/patches/xdvi-zoom-with-eps-figures.patch from Ubuntu,
    but do not activate it. It makes xdvi crash on *every* zoom in Debian,
    needs more investigation. Original reason: Make zooming with
    Ghostscript 9.0x working correctly. EPS figures were cut off after
    zooming and scrolling. (Taken from Ubuntu packaging, thanks Jeremy Bicha)
    See http://bugs.ghostscript.com/show_bug.cgi?id=692540
  * fix FTBFS on alpha (Closes: #672222)

 -- Norbert Preining <preining@debian.org>  Mon, 07 May 2012 12:52:39 +0900

texlive-bin (2011.20120507-1) unstable; urgency=low

  * new upstream checkout: uptex 1.10
  * drop patches for config file inclusion in (x)dvipdfmx, included upstream
  * add man page for etex
  * include pmpost patches and build it
  * adapt/unfuzzify patches for current sources
  * disable mtx building, we have prepmx package in Debian

 -- Norbert Preining <preining@debian.org>  Mon, 07 May 2012 10:47:49 +0900

texlive-bin (2011.20120410-1) unstable; urgency=low

  * new upstream checkout:
    - remove decls of popen and pclose (Closes: #64524) (!yow, 5 digit bug!)
    - do not declare getopt in C++, fixes FTBFS with g++ >= 4.7 
      (Closes: #667392)
  * add patches (maybe to be included upstream) that allows inclusion of
    one config file in another for (x)dvipdfmx. This will be
    used by the paper code.
  * fix description of libptexenc-dev package (Closes: #667694)
  * remove xdvik patch, included upstream


=== debian/control ===
Source: texlive-bin
Section: tex
Priority: optional
Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <preining@debian.org>, Frank Küster <frank@kuesterei.ch>
Build-Depends: debhelper (>= 7.0.50~), sharutils, ed, libncurses5-dev | libncurses-dev, libxaw7-dev, libpng-dev, zlib1g-dev | libz-dev, libgd2-xpm-dev | libgd2-noxpm-dev, flex, bison, libpoppler-private-dev (>= 0.12.4), libfontconfig1-dev, dh-autoreconf, time, libgraphite-dev (>= 1:2.3.1), quilt, libgs-dev
Standards-Version: 3.9.3
Homepage: http://www.tug.org/texlive/

Package: texlive-binaries
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, texlive-common (>= 2011), tex-common (>= 3), ed, perl, dpkg (>= 1.15.4) | install-info
Recommends: texlive-base, luatex, python, ruby, wish
Replaces: texlive-metapost (<< 2010), texlive-base (<< 2010), ptex-bin, mendexk, jmpost
Conflicts: mendexk, makejvf, jmpost
Breaks: texlive-base (<< 2010), jtex-bin, multex-bin
Provides: texlive-base-bin, makejvf, mendexk, jmpost
Description: Binaries for TeX Live
 This package contains all the binaries of TeX Live packages.
 .
 Note that this package alone has hardly any functionality.  Rather,
 choose the texlive-* packages you want to use, e.g.
 texlive-latex-recommended or context

Package: libkpathsea6
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: TeX Live: path search library for TeX (runtime part)
 This package contains the runtime part of the Kpathsea[rch] library,
 which implements generic path searching, configuration, and
 TeX-specific file searching.

Package: libkpathsea-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libkpathsea6 (= ${binary:Version}), ${shlibs:Depends}
Description: TeX Live: path search library for TeX (development part)
 This package contains the static library and header files for the
 Kpathsea[rch] library, which implements generic path searching,
 configuration, and TeX-specific file searching.

Package: libptexenc1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: TeX Live: pTeX encoding library
 library for encoding support in pTeX, a Japanese TeX engine.

Package: libptexenc-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libptexenc1 (= ${binary:Version}), ${shlibs:Depends}
Description: TeX Live: ptex encoding library (development part)
 This package contains the static library and header files for the
 ptexenc library, a library for encoding support in pTeX, a Japanese
 TeX engine.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for texlive-bin

export SHELL=/bin/bash
export CONFIG_SHELL=/bin/sh

# this is for dh_quilt_patch (--with quilt) which reads this
# variable and sets QUILT_PATCHES accordingly
# we set both in case ...
export QUILT_PATCH_DIR=debian/quilt
export QUILT_PATCHES=debian/quilt

DEB_HOST_ARCH     ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq ($(DEB_HOST_ARCH), alpha)
  export LDFLAGS = -Wl,--no-relax
endif

#
# it seems that ARM metafont segfaults due to a problem with armhf's malloc
# see Debian bug #678604
# Building in arm mode helps
#
ifeq ($(DEB_HOST_ARCH), armhf)
  export CFLAGS = -marm
endif

# warning: if the --with autoreconf is removed then
# the patch debian/patches/debian-no-linked-scripts
# must be adapted to also patch the Makefile.in!

%:
	dh $@ --with quilt --with autoreconf --builddirectory Work

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr 	\
	--datarootdir=/usr/share/texlive	\
	--disable-native-texlive-build		\
	--disable-largefile			\
	--disable-missing			\
	--with-banner-add=/Debian		\
	--enable-shared				\
	--with-system-zlib			\
	--with-system-libpng			\
	--with-system-zzlib			\
	--with-system-gd			\
	--with-system-freetype2			\
	--with-system-xpdf			\
	--with-system-poppler			\
	--with-system-graphite			\
	--with-system-libgs			\
	--with-freetype2-include=/usr/include/freetype2 \
	--with-x				\
	--with-mf-x-toolkit			\
	--with-xdvi-x-toolkit=xaw		\
	--disable-lcdf-typetools		\
	--disable-biber				\
	--disable-dvipng			\
	--disable-musixflx			\
	--disable-ps2eps			\
	--disable-psutils			\
	--disable-luatex			\
	--disable-t1utils			\
	--disable-cjkutils			\
	--disable-chktex			\
	--disable-dvidvi			\
	--disable-lacheck			\
	--disable-tex4htk			\
	--disable-pmx				\
	--disable-mtx				\
	--enable-ipc				

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/tmp

override_dh_install:
	dh_install --sourcedir=$(CURDIR)/debian/tmp
	# remove texlive directories, they should not be shipped here
	rm -rf debian/texlive-binaries/usr/share/texlive
	# remove wrongly added info/dir.gz
	rm -f debian/texlive-binaries/usr/share/info/dir*
	rm debian/texlive-binaries/usr/share/man/man1/latex.1*
	rm debian/texlive-binaries/usr/share/man/man1/pdflatex.1*
	rm debian/texlive-binaries/usr/share/man/man1/thumbpdf.1*
	rm debian/texlive-binaries/usr/share/man/man1/lamed.1*
	rm debian/texlive-binaries/usr/share/man/man1/e2pall.1*
	rm debian/texlive-binaries/usr/share/man/man1/eplain.1*
	rm debian/texlive-binaries/usr/share/man/man1/amstex.1*
	# for alternatives treatment we rename usr/bin/bibtex to
	# usr/bin/bibtex.original
	mv debian/texlive-binaries/usr/bin/bibtex \
	   debian/texlive-binaries/usr/bin/bibtex.original
	mv debian/texlive-binaries/usr/share/man/man1/bibtex.1 \
	   debian/texlive-binaries/usr/share/man/man1/bibtex.original.1

override_dh_installdocs:
	dh_installdocs
	dh_installdocs -plibptexenc1 -plibptexenc-dev \
		texk/ptexenc/COPYRIGHT texk/ptexenc/README
	dh_installdocs -plibkpathsea6 -plibkpathsea-dev \
		texk/kpathsea/AUTHORS texk/kpathsea/BUGS \
		texk/kpathsea/NEWS texk/kpathsea/PROJECTS \
		texk/kpathsea/README

override_dh_installchangelogs:
	dh_installchangelogs
	dh_installchangelogs -plibkpathsea6 -plibkpathsea-dev \
		texk/kpathsea/ChangeLog
	dh_installchangelogs -plibptexenc1 -plibptexenc-dev \
		texk/ptexenc/ChangeLog

override_dh_compress:
	dh_compress -X.pdf

override_dh_makeshlibs:
	dh_makeshlibs -plibkpathsea6
	dh_makeshlibs -plibptexenc1

override_dh_shlibdeps:
	dh_shlibdeps \
		-l debian/libkpathsea6/usr/lib \
		-l debian/libptexenc1/usr/lib

override_dh_clean:
	dh_quilt_unpatch
	dh_clean -X.orig
